## com.lowagie.text.pdf.codec.postscript
Class PAParser

    java.lang.Object
      com.lowagie.text.pdf.codec.postscript.PAParser

All Implemented Interfaces:
  PAParserConstants

    public class PAParser

extends java.lang.Object
implements PAParserConstants

Field Summary
`private java.util.Vector` `jj_expentries`
`private int[]` `jj_expentry`
`private int` `jj_gen`
`(package private) JavaCharStream` `jj_input_stream`
`private int` `jj_kind`
`private int[]` `jj_la1`
`private int[]` `jj_la1_0`
`Token` `jj_nt`
`private int` `jj_ntk`
`Token` `token`
`PAParserTokenManager` `token_source`

Fields inherited from interface com.lowagie.text.pdf.codec.postscript.PAParserConstants
`DECIMAL_LITERAL, DEFAULT, DIGIT, EOF, EXPONENT, FLOATING_POINT_LITERAL, HEX_LITERAL, HEX_STRING_LITERAL, IDENTIFIER, IMMEDIATE_IDENTIFIER, Instring, INTEGER_LITERAL, KEY_IDENTIFIER, LBRACE, LBRACKET, LDICT, LETTER, Nextchar, RBRACE, RBRACKET, RDICT, STRING_LITERAL, tokenImage, WHITESPACE, WITHINSTRING`

Constructor Summary
`PAParser(java.io.InputStream stream)`
`PAParser(PAParserTokenManager tm)`
`PAParser(java.io.Reader stream)`

Method Summary
`void` `disable_tracing()`
`void` `enable_tracing()`
`(package private) void` `error_skipto(int kind)`
`(package private) java.lang.String` `ExceptionString(java.lang.String hint, JavaCharStream jj_input_stream, PAContext context, Token t, java.lang.Exception e)`
`ParseException` `generateParseException()`
`Token` `getNextToken()`
`Token` `getToken(int index)`
`private Token` `jj_consume_token(int kind)`
`private int` `jj_ntk()`
`void` `parse(PAContext context)`
`void` `ReInit(java.io.InputStream stream)`
`void` `ReInit(PAParserTokenManager tm)`
`void` `ReInit(java.io.Reader stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public PAParserTokenManager token_source

### jj_input_stream

    JavaCharStream jj_input_stream

### token

    public Token token

### jj_nt

    public Token jj_nt

### jj_ntk

    private int jj_ntk

### jj_gen

    private int jj_gen

### jj_la1

    private final int[] jj_la1

### jj_la1_0

    private final int[] jj_la1_0

### jj_expentries

    private java.util.Vector jj_expentries

### jj_expentry

    private int[] jj_expentry

### jj_kind

    private int jj_kind

Constructor Detail

### PAParser

    public PAParser(java.io.InputStream stream)

### PAParser

    public PAParser(java.io.Reader stream)

### PAParser

    public PAParser(PAParserTokenManager tm)

Method Detail

### error_skipto

    void error_skipto(int kind)
                throws ParseException

  Throws:
    `ParseException`

### ExceptionString

    java.lang.String ExceptionString(java.lang.String hint,
                                     JavaCharStream jj_input_stream,
                                     PAContext context,
                                     Token t,
                                     java.lang.Exception e)
                               throws ParseException

  Throws:
    `ParseException`

### parse

    public final void parse(PAContext context)
                     throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(PAParserTokenManager tm)

### jj_consume_token

    private final Token jj_consume_token(int kind)
                                  throws ParseException

  Throws:
    `ParseException`

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### jj_ntk

    private final int jj_ntk()

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()